/**
 * Copyright (c) 2017-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.exception;

import javax.management.InvalidAttributeValueException;

/**
 * The class given as configuration parameter does not implement the right interface
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class NotImplentatioClazzException extends InvalidAttributeValueException {

    private static final long serialVersionUID = 2434320019881871068L;

    public NotImplentatioClazzException(final String name, final String value, final String intf) {
        super(String.format("The class set '%s' to the parameter '%s' does not implement '%s.", value, name, intf));
    }

}
